For the complete documentation index, see llms.txt. This page is also available as Markdown.

Upload Material Document

Upload Material Document

Request URL

POST /remittance/material/upload-material-document

Request Body

Refer to : common

Biz_data

Name
Type
Description

merchant_id*

long

Merchant ID

file_type*

Integer

File Type

5-PI/CI/PO contract

15-Store and backend screenshot

26-Payment contract agreement

99-Other

Tips:

If material business type is 10-goods trade

11-service trade ,please select 5-PI/CI/PO contract

If material business type is 20-platform

21-platform independent,please select 15-Store and backend screenshot

If material transaction type is 111-payment,please select 26-Payment contract agreement

file_content*

string

File Content

Base64 encode string

Max size: 1M

file_name*

string

File Name

1、PI/CI/PO Contract

Must include basic info of both parties, products, unit price, quantity, currency, advance payment (if any), total order amount, etc.

Supported formats: PNG/JPEG/JPG/PDF/ZIP/RAR, max 10MB per file, up to 10 files

2、Store Or Backend Screenshot File

Please upload e-commerce platform store homepage screenshot, recommended to include store name, registration/opening date, business category, and platform certification mark

Supported formats: PNG/JPEG/JPG, max 10MB per file, up to 10 files

3、Payment Contract Agreement

Please upload the service contract/agreement document that meets the payment recipient's requirements.

Supported formats: PNG/JPEG/JPG/PDF/XLS/XLSX/ZIP/RAR, max 10MB per file, up to 10 files

file_desc

string

File Description

Response

{
    "code": "10000",
    "msg": "Success",
    "data":{},
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
Name
Type
Description

file_id

long

File ID

Example

Note: 162************38 is pagsmile's test app id for sandbox

Please use your own app_id when testing.

Last updated